---
title: HTMLCanvasElement.height
slug: Web/API/HTMLCanvasElement/height
tags:
  - API
  - Canvas
  - HTMLCanvasElement
  - Property
---
<div>
<div>
<div>{{APIRef("Canvas API")}}</div>
</div>
</div>

<p>The <strong><code><span>HTMLCanvasElement.height</span></code></strong> property is a positive <code>integer</code> reflecting the {{htmlattrxref("height", "canvas")}} HTML attribute of the {{HTMLElement("canvas")}} element interpreted in CSS pixels. When the attribute is not specified, or if it is set to an invalid value, like a negative, the default value of <code>150</code> is used.</p>

<p>This is one of the two properties, the other being {{domxref("HTMLCanvasElement.width")}}, that controls the size of the canvas.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>var <em>pxl</em> = <em>canvas</em></var>.height;
<em>canvas</em>.height = <em>pxl</em>;
</pre>

<h2 id="Examples">Examples</h2>

<p>Given this {{HTMLElement("canvas")}} element:</p>

<pre class="brush: html">&lt;canvas id="canvas" width="300" height="300"&gt;&lt;/canvas&gt;
</pre>

<p>You can get the height of the canvas with the following code:</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
console.log(canvas.height); // 300
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#attr-canvas-height", "HTMLCanvasElement.height")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since the latest snapshot, {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "scripting-1.html#attr-canvas-height", "HTMLCanvasElement.height")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "scripting-1.html#attr-canvas-height", "HTMLCanvasElement.height")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Snapshot of the {{SpecName('HTML WHATWG')}} containing the initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLCanvasElement.height")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLCanvasElement")}}.</li>
 <li>The other property controlling the size of the canvas, {{domxref("HTMLCanvasElement.width")}}.</li>
</ul>
